/* *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *
** Header
** *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** */
body.no-scroll {
  overflow: hidden;
}
#masthead {
  position: fixed;
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  background-color: #193133;
  color: var(--dark);
  z-index: 99;
  transition: all 0.3s linear;
  padding: 30px 0px;
}

#masthead.sticky {
  padding: 10px 0px;
}

#masthead .container {
  max-width: 1560px;
}

.admin-bar #masthead {
  top: 32px;
}

#masthead .main-header {
  display: flex;
  gap: 24px;
  align-items: center;
  justify-content: space-between;
}

#masthead .site-branding {
  line-height: 0;
  display: flex;
  justify-content: start;
  width: 100%;
  max-width: max-content;
  text-align: left;
}
#masthead .site-branding a {
  line-height: 0;
  font-weight: 700;
  text-decoration: none;
  color: var(--black);
}
#masthead .site-branding img {
  max-width: 100%;
  height: 65px;
  object-fit: contain;
  width: auto;
  transition: all 0.3s linear;
}


.main-navigation {
  max-width: 100%;
}

/* Menu */
#masthead .main-navigation a {
  color: var(--white);
  font-family: var(--font-outfit);
  font-size: 18px;
  font-style: normal;
  font-weight: 800;
  line-height: 1.3125rem;
  transition: opacity 0.6s ease;
  text-decoration: none;
  padding: 15px 0;
  transition: all 0.3s linear;
}
#masthead .main-navigation a:not(.menu-btn):hover {
  color: var(--green);
}
#masthead .main-navigation #primary-menu li.active > a {
  color: var(--green) !important;
}
.menu-container .badge {
  display: none;
}
.menu-container.active-mb .badge {
  display: block;
  margin-bottom: 22px;
  padding: 7px 10px;
}

#masthead .header-menu-container {
  padding: 0px 48px;
  border-top: 2px solid var(--white);
  border-bottom: 2px solid var(--white);
  transition: all 0.3s linear;
}

#masthead.sticky .site-branding img {
  height: 47px;
  filter: brightness(0) invert(1);
}

#masthead.sticky .header-menu-container {
  border-color: var(--deep-teal);
  padding: 0px 24px;
}
.main-navigation ul {
  display: flex;
  gap: 32px;
  align-items: center;
}
nav#site-navigation {
  display: flex;
  align-items: center;
  gap: 16px;
  justify-content: flex-end;
}

/* Button base */
a.menu-btn {
  position: relative;
  overflow: hidden;
  background: #27eaa6;
  color: var(--deep-teal) !important;
  text-align: center;
  text-transform: capitalize;
  padding: 13px 20px !important;
  z-index: 1 !important;
  display: flex;
  justify-content: center;
  align-items: center;
}

a.menu-btn::after {
  content: "" !important;
  position: absolute !important;
  inset: 0 !important;
  background: rgb(223, 255, 0) !important;
  transform: scaleX(0) !important;
  transform-origin: left center !important;
  transition: transform 0.38s cubic-bezier(0.2, 0.7, 0.2, 1) !important;
  z-index: -1 !important;
}

a.menu-btn:hover::after {
  transform: scaleX(1) !important;
}

/* Dropdown Parent */
.menu-item-has-children {
  position: relative;
}

/* Dropdown Icon */
.menu-item-has-children > a {
  display: flex !important;
  align-items: center;
  gap: 8px;
}

.menu-item-has-children > a::after {
  content: "";
  width: 10px;
  height: 10px;
  border-right: 4px solid currentColor;
  border-bottom: 4px solid currentColor;
  transform: rotate(45deg);
  margin-top: -4px;
  transition: 0.3s;
}

/* Rotate Icon */
.menu-item-has-children:hover > a::after {
  transform: rotate(-135deg);
  margin-top: 4px;
}

/* Dropdown Menu */
.menu-item-has-children .sub-menu {
  display: flex;
  flex-direction: column;
  gap: 12px;
  position: absolute;
  top: 100%;
  min-width: 185px;
  background: var(--deep-teal);
  padding: 10px 12px 24px;
  margin: 0;
  list-style: none;
  opacity: 0;
  visibility: hidden;
  transform: translateY(10px);
  transition: all 0.3s ease;
  z-index: 999;
}

#masthead .main-navigation .sub-menu a {
  padding: 0px 0;
  color: var(--white);
  text-align: left;
  font-weight: 500;
  font-size: 18px;
}


/* Show Dropdown */
.menu-item-has-children:hover .sub-menu {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
  top: 100%;
}

/* Dropdown Links */
.menu-item-has-children .sub-menu li a {
  display: block;
  background: transparent;
  border: none;
}
/* Toggle menu */
.toggle-menu {
  display: none;
}
.toggle-menu-inner {
  display: flex;
  flex-direction: column;
  gap: 6px;
}
.toggle-menu-inner span {
  width: 30px;
  height: 3px;
  background-color: var(--white);
  transition: transform 0.25s linear;
}
.toggle-menu.active span:first-child {
  transform: translateY(9px) rotate(45deg);
}

.toggle-menu.active span:nth-child(2) {
  opacity: 0;
}

.toggle-menu.active span:last-child {
  transform: translateY(-9px) rotate(-45deg);
}

.active-mb .menu-primary-menu-container {
  padding: 80px 30px;
}

/* After Scrolled */
#masthead.homepage-header.scrolled {
  background-color: var(--black);
}

#masthead.homepage-header.scrolled .site-branding img {
  width: 110px;
}

#masthead.homepage-header.scrolled .main-header {
  padding: 10px 0;
}

/* Navigation */
.main-navigation {
  display: block;
  width: 100%;
}

.main-navigation ul {
  list-style: none;
  margin: 0;
  padding-left: 0;
}

/* Small menu. */
.menu-toggle,
.main-navigation.toggled ul {
  display: block;
}

/* *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *
** Footer
** *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** */
/* ==================== FOOTER ====================  */
footer#colophon {
  background-color: var(--deep-teal);
  color: var(--white);
  padding: 60px 0 30px;
  border-radius: 40px 40px 0px 0px;
  min-height: 430px;
  display: flex;
  background-size: contain;
  background-position: center;
  background-repeat: no-repeat;
  overflow: hidden;
}

footer#colophon .container {
  display: flex;
  flex-direction: column;
  max-width: 1476px;
  width: 100%;
  justify-content: space-between;
  position: relative;
}

.footer-earth-img {
  position: absolute;
  top: -18px;
  right: -44px;
  width: auto;
  max-width: 478px;
  height: auto;
  z-index: 1;
  pointer-events: none;
  opacity: 0.5;
}
.site-footer.green-footer .footer-earth-img {
  opacity: 1;
}
.footer-earth-img img {
  width: 100%;
  height: auto;
  display: block;
}

footer#colophon.green-footer {
  background-color: var(--green);
  color: var(--black);
}

footer#colophon.green-footer a,
footer#colophon.green-footer .footer-menu-list-title,
footer#colophon.green-footer .footer-bottom span {
  color: var(--deep-teal);
}
footer#colophon.green-footer .footer-bottom a,
footer#colophon .footer-bottom a {
  color: inherit;
  text-decoration: underline;

}
footer#colophon .footer-bottom a:hover {
  color:  var(--green);
}
footer#colophon.green-footer .footer-bottom a:hover {
  color: var(--white);
}


.footer-description {
  min-height: 110px;
}
#colophon .footer-description p {
  font-family: "Outfit";
  font-size: 24px;
  letter-spacing: 0.25px;
  font-weight: 400;
  max-width: 343px;
  width: 100%;
  color: var(--white);
}
footer#colophon.green-footer .footer-description p {
  color: var(--deep-teal);
}
footer#colophon .footer-social-wrapper {
  display: flex;
  gap: 10px;
}
footer#colophon.green-footer .btn-social img {
    filter: brightness(0) saturate(100%) invert(18%) sepia(21%) saturate(1088%) hue-rotate(139deg) brightness(91%) contrast(93%);
    transition: filter 0.3s ease;
} 

footer#colophon .btn-social {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    transition: all 0.4s ease;
}


.btn-social:hover .social-svg {
    filter: drop-shadow(100px 0 0 var(--green));
    transform: translateX(-100px);
}
footer#colophon.green-footer .btn-social:hover .social-svg {
  filter: drop-shadow(100px 0 0 var(--white));
    transform: translateX(-100px);
}

#colophon .two-footer {
  display: flex;
  justify-content: space-between;
  position: relative;
  z-index: 20;
}

#colophon .footer-logo-content {
  display: flex;
  flex-direction: column;
  gap: 13px;
  max-width: 403px;
  width: 100%;
}
#colophon .logo-disc {
  display: flex;
  flex-direction: column;
  gap: 0px;
}

#colophon .action-col {
  display: flex;
  gap: 64px;
  align-items: flex-start;
}

#colophon .menulink {
  display: flex;
}
#colophon .footer-col.menu-col {
  min-width: 200px;
  width: 100%;
}

#colophon .footer-buttons {
  position: relative;
  overflow: hidden;
  text-align: center;
  border: 2px solid;
  cursor: pointer;
  transition: all 0.25s linear;
  z-index: 1;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  padding: 0;
}
#colophon .footer-buttons:hover{
  border: 2px solid var(--yellow);
   transition: all 0.25s linear;
}

footer#colophon.green-footer .footer-buttons{
  border: 2px solid var(--deep-teal);
   transition: all 0.25s linear;
}


#colophon .footer-buttons::after {
  content: "" !important;
  position: absolute !important;
  top: 0 !important;
  left: 0 !important;
  width: 100% !important;
  height: 100% !important;
  background: var(--yellow) !important;
  transform: scaleX(0) !important;
  transform-origin: left center !important;
  transition: transform 0.38s cubic-bezier(0.2, 0.7, 0.2, 1) !important;
  z-index: -1 !important;
}

#colophon.green-footer .footer-buttons::after {
  background: var(--deep-teal) !important;
}
#colophon .footer-buttons:hover::after {
  transform: scaleX(1) !important;
  color: var(--deep-teal);
}
#colophon.green-footer .footer-buttons:hover::after {
  color: var(--white);
}

 #colophon a.btn-join {
  color: var(--white);
  font-size: 18px;
  text-transform: capitalize;
  font-family: var(--font-outfit);
  font-weight: 800;
  line-height: 1.3125rem;
  letter-spacing: 0.02em;
  text-decoration: none;
  display: block;
  width: 100%;
  height: 100%;
  padding: 13px 20px;

}


#colophon .footer-buttons:hover a.btn-join {
  color: var(--deep-teal) !important;
}
#colophon.green-footer .footer-buttons:hover a.btn-join {
  color: var(--white) !important;
}
footer#colophon.green-footer .footer-buttons:hover {
  border: 2px solid var(--deep-teal);
  transition: transform 0.38s cubic-bezier(0.2, 0.7, 0.2, 1) !important;
}

#colophon .footer-menu-list-title {
  font-family: var(--font-jetbarnis-mono);
  font-size: 10px;
  text-transform: uppercase;
  margin-bottom: 13px;
  display: block;
  opacity: 0.8;
  letter-spacing: 0.84px;
  line-height: 1;
}

#colophon .menulink ul {
  list-style: none;
  padding: 0;
  margin: 0px;
  display: flex;
  flex-direction: column;
  gap: 8px;
}

#colophon .menulink li a {
  text-decoration: none;
  color: var(--white);
  font-size: 18px;
  line-height: 135%;
  font-weight: 400;
  font-family: var(--font-helvetica);
  transition: all 0.3s ease;
}
#colophon .menulink li a:hover {
  color: var(--green);
}

footer#colophon.green-footer .menulink li a {
  color: var(--deep-teal);
}
footer#colophon.green-footer .menulink li a:hover {
  color: var(--white);
}
#colophon .footer-bottom {
  padding-top: 18px;
  border-top: 1px solid var(--white);
  display: flex;
  justify-content: space-between;
  font-size: 9px;
  font-family: var(--font-outfit);
  letter-spacing: 0.66px;
  position: relative;
  z-index: 20;
}
footer#colophon.green-footer .footer-bottom {
  border-top: 1px solid var(--deep-teal);
}



/* *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *
** Responsive Design
** *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** */

@media screen and (max-width: 1366px) {
  /* Header  */
  .main-navigation ul {
    gap: 15px;
  }

  /* Footer */
  #colophon .action-col {
    gap: 40px;
  }
  #colophon .footer-col.menu-col {
    min-width: 150px;
  }
  #colophon a.btn-join {
    padding: 12px;
  }
  
}
@media screen and (max-width: 1280px) {
  #masthead .header-menu-container,
  #masthead.sticky .header-menu-container {
    padding: 0 15px;
  }
}
@media screen and (max-width: 1220px) {
  #masthead .site-branding img {
    height: 48px;
  }

}

@media screen and (max-width: 1100px) {
  /* Header  */
  #masthead .main-header {
    gap: 0px;
  }
  #masthead {
    padding: 20px 0px;
  }

  .main-navigation ul {
    gap: 0px;
    flex-direction: column;
    align-items: flex-start;
  }
  .toggle-menu {
    display: flex;
  }
  .site-branding img {
    max-width: 70%;
  }
  #masthead .header-menu-container {
    border-top: 0px;
    border-bottom: 0px;
  }
  #masthead .main-navigation .sub-menu a {
    text-align: left;
    padding: 0 0 0 20px;
    border: 0px;
  }
  #masthead .main-navigation .sub-menu li {
    border: 0px;
  }

  #masthead a.menu-btn {
    width: 100%;
    font-size: 16px !important;
    padding: 13px 20px !important;
    margin-top: 28px;
    justify-content: center !important;
  }

  #masthead .main-navigation a {
    padding: 20px 0;
    font-size: 20px;
    width: 100%;
    display: flex !important;
    align-items: center;
    justify-content: space-between;
  }
  .main-navigation ul li:first-child,
  .main-navigation ul li a:last-child {
    border-top: 1px solid rgba(255, 255, 255, 0.16);
  }
  .menu-item-has-children > a {
    border-bottom: 1px solid rgba(255, 255, 255, 0.16);
  }

  .main-navigation ul li {
    width: 100%;
    border-bottom: 1px solid rgba(255, 255, 255, 0.16);
  }
  .main-navigation ul li:last-of-type {
    border-bottom: none;
  }

  #masthead .main-navigation #primary-menu > li > a::before {
    content: "\2794";
    order: 2;
    width: 100%;
    max-width: 30px;
    flex-shrink: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    font-family: sans-serif;
  }

  .menu-item-has-children > a::after {
    display: none;
  }

  .main-header {
    justify-content: space-between;
  }

  .menu-container {
    position: fixed;
    left: 0;
    top: 0;
    bottom: 0;
    background: #193133;
    width: 100%;
    max-width: 100%;
    padding: 102px 24px 28px;
    height: 100vh;
    translate: -100% 0;
    transition: translate 0.4s linear;
    z-index: -1;
    display: block;
    overflow-y: auto;
  }

  #masthead.sticky ~ * .menu-container,
  #masthead.sticky .menu-container {
    padding: 66px 24px 28px;
    height: 100vh;
  }

  .menu-container.active-mb {
    translate: 0 0;
  }

  .active-mb .menu-primary-menu-container {
    padding: 0;
  }

  #masthead .header-menu-container {
    padding: 0;
  }

  .toggle-menu-inner span {
    background-color: var(--white);
  }

  .menu-btn {
    width: 100%;
  }

  .menu-btn a {
    padding: 15px 30px;
    text-align: center;
  }

  .menu-btn a {
    font-size: 16px !important;
  }

  /* Submenu */
  .menu-item-has-children .sub-menu {
    position: static;
    max-width: 100%;
    background: transparent;
    border-radius: 0px;
    padding: 0;
    margin: 0px;
    border: none;
    box-shadow: none;
    visibility: visible;
    opacity: 1;
    max-height: 0;
    overflow: hidden;
    transition:
      max-height 0.35s ease,
      padding 0.35s ease;
  }
  .menu-item-has-children.sub-menu-open .sub-menu {
    max-height: 500px;
    padding: 10px 0 20px;
  }
  .menu-item-has-children.sub-menu-open .sub-menu li a {
    color: var(--white) !important;
  }
  .menu-item-has-children .sub-menu a {
    color: rgba(255, 255, 255, 0.8) !important;
  }
  #masthead .site-branding img {
    height: 44px;
  }

  /*======= footer ==========*/
  footer#colophon {
    padding: 40px 0;
  }
  footer#colophon .container {
    gap: 40px;
  }
  #colophon .footer-description p {
    font-size: 18px;
    line-height: 1.4;
    max-width: 500px;
  }

  #colophon .two-footer {
    gap: 40px;
    flex-direction: row;
    flex-wrap: wrap;
  }

  #colophon .menulink {
    gap: 30px;
  }
  #colophon .action-col {
    flex-direction: column;
  }
  #colophon a.btn-join {
    padding: 14px 30px;
  }
}


@media only screen and (max-width: 998px) {
  /*======= footer ==========*/
  #colophon .two-footer {
    gap: 40px;
    grid-template-columns: 100%;
  }

  #colophon .action-col {
    flex-direction: column;
    gap: 40px;
  }
  #colophon .footer-logo-with-menu {
    gap: 30px;
  }
  .footer-logo-con a {
    font-size: 30px;
  }
}

@media only screen and (max-width: 767px) {
  .menu-container {
    padding: 84px 24px 28px;
  }
  /*======= footer ==========*/
  footer#colophon {
    padding: 30px 0;
    border-radius: 20px 20px 0px 0px;
    background-size: inherit !important;
  }

  #colophon .two-footer {
    flex-direction: column;
    gap: 30px;
  }

  #colophon .footer-logo-with-menu {
    gap: 24px;
    align-items: flex-start;
  }
  #colophon .footer-col.menu-col {
    min-width: 100%;
  }
  #colophon .footer-logo-content {
    max-width: 100%;
  }
  #colophon .footer-description p {
    font-size: 16px;
  }

  #colophon .footer-menu {
    flex-direction: column;
    align-items: flex-start;
    gap: 16px;
  }
  
  #colophon a.btn-join {
    font-size: 16px;
  }
  #colophon .menulink {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 40px;
  }

  #colophon .action-col {
    align-items: flex-start;
    justify-content: flex-start;
    gap: 40px;
  }

  #colophon .footer-bottom {
    padding-top: 18px;
    flex-direction: column-reverse;
    gap: 0px;
    align-items: flex-start;
  }

  #colophon .footer-bottom .footer-bottom-menu ul {
    gap: 12px;
  }

  #colophon .footer-bottom a,
  #colophon .footer-bottom .footer-copy {
    font-size: 14px;
  }
  .footer-logo-con a {
    font-size: 24px;
  }
}
@media only screen and (max-width: 467px) {
  footer#colophon {
    padding: 40px 0;
  }

  #colophon .footer-buttons {
    min-width: 100%;
  }
}
@media only screen and (max-width: 360px) {
  #colophon .menulink {
    grid-template-columns: 1fr;
  }
  #colophon .footer-bottom .footer-bottom-menu ul {
    gap: 8px;
  }
  #colophon .footer-bottom a {
    font-size: 10px;
  }
}
